## libid3tag 0.16.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)
project(id3tag VERSION 0.16.3)

option(BUILD_SHARED_LIBS "Build dynamic library" ON)

# The new SOVERSION. This is 0.16.2 by default
# The general policy is that minor versions of the library (e.g., 0.16.1,
# 0.16.2) don't constitute an ABI breakage. Major versions (e.g., 0.17, 0.18)
# do constitute an ABI breakage.
set(LIBRARY_SOVERSION 0)

include(GNUInstallDirs)

#
# Build
#

add_library(id3tag
    compat.c
    crc.c
    debug.c
    field.c
    file.c
    frame.c
    frametype.c
    genre.c
    latin1.c
    parse.c
    render.c
    tag.c
    ucs4.c
    utf16.c
    utf8.c
    util.c
    version.c
)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/id3tag.h.in ${CMAKE_CURRENT_BINARY_DIR}/id3tag.h @ONLY)
target_include_directories(id3tag PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)
if(WIN32 AND BUILD_SHARED_LIBS)
    set_target_properties(id3tag PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

set_target_properties(id3tag PROPERTIES
  VERSION ${CMAKE_PROJECT_VERSION}
  SOVERSION ${LIBRARY_SOVERSION}
)

include(CheckIncludeFile)
check_include_file(sys/stat.h HAVE_SYS_STAT_H)
if(HAVE_SYS_STAT_H)
  target_compile_definitions(id3tag PRIVATE HAVE_SYS_STAT_H)
endif()

check_include_file(unistd.h HAVE_UNISTD_H)
if(HAVE_UNISTD_H)
  target_compile_definitions(id3tag PRIVATE HAVE_UNISTD_H)
endif()

check_include_file(assert.h HAVE_ASSERT_H)
if(HAVE_ASSERT_H)
  target_compile_definitions(id3tag PRIVATE HAVE_ASSERT_H)
endif()

include(CheckFunctionExists)
check_function_exists(ftruncate HAVE_FTRUNCATE)
if(HAVE_FTRUNCATE)
  target_compile_definitions(id3tag PRIVATE HAVE_FTRUNCATE)
endif()

find_package(ZLIB REQUIRED)
target_link_libraries(id3tag PUBLIC ZLIB::ZLIB)

#
# Installation
#

include(CMakePackageConfigHelpers)

# Library files
install(TARGETS id3tag
  EXPORT id3tagTargets
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Header files
install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/id3tag.h"
  DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# pkgconfig
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/packaging/id3tag.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/packaging/id3tag.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/packaging/id3tag.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

# CMake config
set(ID3TAG_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/id3tag")
install(
  EXPORT id3tagTargets
  FILE id3tagTargets.cmake
  NAMESPACE id3tag::
  DESTINATION "${ID3TAG_INSTALL_CMAKEDIR}"
)
configure_package_config_file(packaging/id3tagConfig.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/packaging/id3tagConfig.cmake"
  INSTALL_DESTINATION "${ID3TAG_INSTALL_CMAKEDIR}"
)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/packaging/id3tagConfigVersion.cmake"
  VERSION "${CMAKE_PROJECT_VERSION}"
  COMPATIBILITY SameMajorVersion
)
install(
  FILES
    "${CMAKE_CURRENT_BINARY_DIR}/packaging/id3tagConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/packaging/id3tagConfigVersion.cmake"
  DESTINATION "${ID3TAG_INSTALL_CMAKEDIR}"
)

## libid3tag 0.15.1b

=== debian/changelog ===
libid3tag (0.15.1b-14) unstable; urgency=medium

  * Remove old alioth list as maintainer (Closes: #899861)
  * Remove Sam Clegg from uploaders
  * Add upstream signing key
  * Update watch file to find the signature file

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 10 Mar 2019 16:35:25 +0100

libid3tag (0.15.1b-13) unstable; urgency=medium

  * gperf now uses size_t instead of unsigned int (Closes: #869598)
  * Remove Clément Stenac from Uploaders (Closes: #808767)

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 07 Jan 2018 12:33:47 +0100

libid3tag (0.15.1b-12) unstable; urgency=medium

  * Switch to debhelper compat level 9 (Closes: #817527)
  * Add multiarch support. Patch from Frédéric Brière <fbriere@fbriere.net>
    (Closes: #698959, #723192)
  * Add ${misc:Depends} to the Depends lines
  * Switch to "3.0 (quilt)" source format.
  * Use ${binary:Version} instead of ${Source-Version}
  * Don't disable debugging.
  * Add symbols file
  * Remove libid3tag.la

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 24 Jul 2016 20:07:55 +0200

libid3tag (0.15.1b-11) unstable; urgency=medium

  [ Fernando Seiti Furusato <ferseiti@br.ibm.com> ]
  * Use quilt rather than dpatch (deprecated)
  * Include m4 directory to configure.ac in order to expand macros properly
  * Add build-dep on dh-autoreconf and quilt
  * Use dh-autoreconf (Closes: #755532)

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 19 Aug 2014 18:35:36 +0200

libid3tag (0.15.1b-10) unstable; urgency=low

  * Reupload with the the CVS directories.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 20 Jan 2007 16:57:31 +0000

libid3tag (0.15.1b-9) unstable; urgency=high

  * Handle unknown/invalid encodings in id3_compat_fixup().
    id3_parse_string() returns NULL in that case and then we got
    a segfault in id3_ucs4_length().  (Closes: #405801)
    Thanks to Andreas Henriksson <andreas@fatal.se>

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 14 Jan 2007 14:46:12 +0000

libid3tag (0.15.1b-8) unstable; urgency=low

  * Change 10_utf16.dpatch so that it doesn't return an error in case
    an utf16 string with an odd number of bytes and just tells that it
    parsed them.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 13 Jan 2006 15:32:41 +0100

libid3tag (0.15.1b-7) unstable; urgency=low

  * Set the shlibs again.  It was lost in the coversion to cdbs.
    (Closes: #311544)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 23 May 2005 19:12:10 +0200

libid3tag (0.15.1b-6) unstable; urgency=low

  * Clément Stenac:
    * debian/control: set new Maintainer: and Uploaders:
          pkg-mad-maintainers@lists.alioth.debian.org (Closes: #300098)
    * Convert to CDBS and use latest debhelper
    * Convert changelog and control to UTF8
    * Better copyright file
  * Sam Clegg:
    * debian/libid3tag0.postinst: removed since debhelper runs ldconfig
    for us.
    * debian/libid3tag0-dev.install: install the pkg-config file.
    * debian/rules: remove rule for installing pkg-config file.
  * Kurt Roeckx
    * Add watch file.

 -- Sam Clegg <samo@debian.org>  Sat, 7 May 2005 15:19:11 +0100

libid3tag (0.15.1b-5) unstable; urgency=low

  * QA upload.
  * 12_endless_loop: Fix endless loop in utf16.c (patch by Ronald Bultje).
    Closes: #304913.
  * Switch to debhelper 4.
  * debian/rules:
    - Remove support for DEB_BUILD_OPTIONS=debug.
    - Add support for DEB_BUILD_OPTIONS=noopt.

 -- Matej Vela <vela@debian.org>  Tue, 26 Apr 2005 18:26:14 +0200

libid3tag (0.15.1b-4.1) unstable; urgency=low

  * Orphaning this package, setting maintainer to QA.

 -- Kyle McMartin <kyle@debian.org>  Thu, 17 Mar 2005 10:59:11 -0500

libid3tag (0.15.1b-4) unstable; urgency=low

  * Remove patch 11_id3v1. The patch was causing undesireable behaviour
    by displaying only v1 tags when v2 tags exist. (closes: #278891)

 -- Kyle McMartin <kyle@debian.org>  Thu, 17 Feb 2005 21:05:19 -0500

libid3tag (0.15.1b-3) unstable; urgency=medium

  * Missing Build-Depends on gperf results in frametype.c
    and compat.c being generated empty. This ends up creating
    an incompatible change in the shared object. Sorry.
    (closes: #270449, #270450, #270378)
 
 -- Kyle McMartin <kyle@debian.org>  Tue, 7 Sep 2004 12:07:11 -0400

libid3tag (0.15.1b-2) unstable; urgency=low

  * Switch to using dpatch.
    - 10_a_capella: Identify 'a capella' like other libraries.
    - 11_id3v1: Don't lose id3v1 tag info, if id3v2 tag also
                present. (closes: #267785)

 -- Kyle McMartin <kyle@debian.org>  Mon, 6 Sep 2004 09:53:12 -0400

libid3tag (0.15.1b-1) unstable; urgency=low

  * New upstream version.
  * Included misspelled 'a capella' patch from previous NMU.
    (closes: #235828)

 -- Kyle McMartin <kyle@debian.org>  Sat, 5 Jun 2004 19:10:19 -0400

libid3tag (0.15.0b-3.1) unstable; urgency=low

  * Non-maintainer upload
  * Closes: #235828: misspelled 'a capella' (patch included)

 -- Adam Kessel <ajkessel@debian.org>  Sun, 14 Mar 2004 13:01:23 -0500

libid3tag (0.15.0b-3) unstable; urgency=low

  * Updated section from devel to libdevel as per mail.

 -- Kyle McMartin <kyle@debian.org>  Tue, 21 Oct 2003 22:40:08 -0400

libid3tag (0.15.0b-2) unstable; urgency=low

  * Updated pkgconfig Version entry for id3tag.

 -- Kyle McMartin <kyle@debian.org>  Tue, 21 Oct 2003 22:09:04 -0400

libid3tag (0.15.0b-1) unstable; urgency=low

  * New upstream version(s).
  * Split package into each library, as upstream has done.

 -- Kyle McMartin <kyle@debian.org>  Sat, 21 Jun 2003 14:21:42 -0400

mad (0.14.2b-7) unstable; urgency=low

  * Clean up some lintian warnings.
  * Fixed id3tag.pc, accidently had -L instead of -I.

 -- Kyle McMartin <kyle@debian.org>  Tue, 28 Jan 2003 09:45:02 -0500

mad (0.14.2b-6) unstable; urgency=medium

  * Updated config.* (closes: #168663)

 -- Kyle McMartin <kyle@debian.org>  Thu, 14 Nov 2002 18:41:29 -0500

mad (0.14.2b-5) unstable; urgency=medium

  * Added build-dep on libesd0-dev, this should fix some
    problems people have been having when using esd as the
    output device... (closes: #150823)



=== debian/control ===
Source: libid3tag
Priority: optional
Section: sound
Build-Depends: cdbs (>= 0.4.93~), dh-autoreconf, quilt, debhelper (>= 9), gettext, zlib1g-dev, gperf
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Standards-Version: 3.6.1

Package: libid3tag0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ID3 tag reading library from the MAD project
 ID3 tag manipulation library with full support for reading ID3v1, ID3v1.1,
 ID3v2.2, ID3v2.3, and ID3v2.4 tags, as well as support for writing ID3v1,
 ID3v1.1, and ID3v2.4 tags.

Package: libid3tag0-dev
Architecture: any
Section: libdevel
Depends: libid3tag0 (= ${binary:Version}), ${misc:Depends}, pkg-config, zlib1g-dev
Description: ID3 tag reading library from the MAD project
 ID3 tag manipulation library with full support for reading ID3v1, ID3v1.1,
 ID3v2.2, ID3v2.3, and ID3v2.4 tags, as well as support for writing ID3v1,
 ID3v1.1, and ID3v2.4 tags.
 .
 This is the package you need to develop or compile applications that
 use id3tag.

=== debian/rules ===
#!/usr/bin/make -f
# makefile for libid3tag - using cdbs

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_DH_MAKESHLIBS_ARGS_libid3tag0 = -V 'libid3tag0 (>= 0.15.1b)'

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS=--enable-shared --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

install/libid3tag0-dev:: debian/id3tag.pc
	mkdir -p debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/id3tag.pc

clean::
	# annoying lintian errors
	rm -f config.cache libz/config.log \
		libz/config.status compat.c frametype.c

=== debian/watch ===
version=3
opts=pgpsigurlmangle==s/$/.sign/ ftp://ftp.mars.org/mpeg/ libid3tag-(.*)\.tar\.gz

## libid3tag 0.16.3

=== debian/changelog ===
libid3tag (0.16.3-1) unstable; urgency=medium

  * Team upload.
    Closes: #1083201

  [ Andreas Tille ]
  * New upstream version
    Closes: #1082042, #539871, #990837, #555101, #993364
  * Maintenance in Debian Multimedia team
  * Point watch file to https://codeberg.org/tenacityteam/libid3tag/
  * DEP5 copyright
  * Depends: pkg-config => pkgconf
  * Make short description of lib and devel package distinct
  * Replace cdbs by short dh
  * Enable hardening flags
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Refer to specific version of license GPL-2+.
  * Fix day-of-week for changelog entry 0.15.1b-8.
  * Pass -ffile-prefix-map in CFLAGS to enable reproducible builds
    Closes: #1020661
  * Build-Depends: cmake
  * Remove upstream tarball signature file which is not provided at the
    new location

 -- Andreas Tille <tille@debian.org>  Wed, 09 Oct 2024 07:37:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,16 @@
 Source: libid3tag
 Priority: optional
 Section: sound
-Build-Depends: cdbs (>= 0.4.93~), dh-autoreconf, quilt, debhelper (>= 9), gettext, zlib1g-dev, gperf
-Maintainer: Kurt Roeckx <kurt@roeckx.be>
-Standards-Version: 3.6.1
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               gettext,
+               zlib1g-dev,
+               gperf
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Kurt Roeckx <kurt@roeckx.be>
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libid3tag
+Vcs-Git: https://salsa.debian.org/multimedia-team/libid3tag.git
 
 Package: libid3tag0
 Architecture: any
@@ -19,8 +26,8 @@
 Package: libid3tag0-dev
 Architecture: any
 Section: libdevel
-Depends: libid3tag0 (= ${binary:Version}), ${misc:Depends}, pkg-config, zlib1g-dev
-Description: ID3 tag reading library from the MAD project
+Depends: libid3tag0 (= ${binary:Version}), ${misc:Depends}, pkgconf, zlib1g-dev
+Description: ID3 tag reading library from the MAD project (devel)
  ID3 tag manipulation library with full support for reading ID3v1, ID3v1.1,
  ID3v2.2, ID3v2.3, and ID3v2.4 tags, as well as support for writing ID3v1,
  ID3v1.1, and ID3v2.4 tags.

=== debian/rules ===
#!/usr/bin/make -f
# makefile for libid3tag - using cdbs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_DH_MAKESHLIBS_ARGS_libid3tag0 = -V 'libid3tag0 (>= 0.15.1b)'

export DEB_CFLAGS_MAINT_APPEND=-ffile-prefix-map=$(CURDIR)=.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEVPKG := libid3tag0-dev

%:
	dh $@

=== debian/watch ===
version=4

https://codeberg.org/tenacityteam/libid3tag/tags .*/libid3tag/archive/(\d[.\d]+)\.tar\.gz
